<template lang="html">
	<div class="container">
		<div class="row text-center">
			<div>¿Desea eliminar Bus?</div>
		</div>
		<div>
			<div>ID = {{this.element.id_bus}}</div>
			<div>SERIE = {{this.element.serie_bus}}</div>
		</div>
		<div>
			<button class="btn btn-warning" type="submit" v-on:click="eliminarBus">Eliminar</button>
			<button class="btn btn-danger" v-on:click="volver">Volver</button>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
				id_bus : this.$route.params.id_bus,
				element : {
			        id_bus : '',
			        serie_bus : ''
			    	}
			    }
		},
		methods: {	
				getBus(){
					const path = `http://localhost:8000/buses/bus/${this.id_bus}/`
					axios.get(path).then((response) => {
						this.element.id_bus = response.data.id_bus
						this.element.serie_bus = response.data.serie_bus

					})
					.catch((error) => {console.log(error)})
				},
				volver(){
				location.href = '/bus'			
			},
			eliminarBus(){
				const path = `http://localhost:8000/buses/bus/${this.id_bus}/`
				axios.delete(path).then((response) => {
					location.href = '/bus'
					})
					.catch((error) => {console.log(error); alert("No se pudo eliminar el bus");})
			},			
			},
			created(){
				this.getBus()
			}
	}
</script>

<style lang="css" scoped>
</style>